org.apache.xerces.xni.parser

## Interface XMLErrorHandler

-     public interface XMLErrorHandler

  An interface for handling errors. If the application is interested in error notifications, then it can register an error handler object that implements this interface with the parser configuration.
  Version:
    $Id: XMLErrorHandler.java 570137 2007-08-27 14:17:57Z mrglavas $
  Author:
    Andy Clark, IBM
  See Also:
    `XMLParserConfiguration`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(java.lang.String domain, java.lang.String key, XMLParseException exception)` Reports an error.
    `void` | `fatalError(java.lang.String domain, java.lang.String key, XMLParseException exception)` Report a fatal error.
    `void` | `warning(java.lang.String domain, java.lang.String key, XMLParseException exception)` Reports a warning.

- - ### Method Detail

    - #### warning

          void warning(java.lang.String domain,
                     java.lang.String key,
                     XMLParseException exception)
                       throws XNIException

      Reports a warning. Warnings are non-fatal and can be safely ignored by most applications.
      Parameters:
        `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevant specification or document pertaining to this warning.
        `key` - The warning key. This key can be any string and is implementation dependent.
        `exception` - Exception.
      Throws:
        `XNIException` - Thrown to signal that the parser should stop parsing the document.

    - #### error

          void error(java.lang.String domain,
                   java.lang.String key,
                   XMLParseException exception)
                     throws XNIException

      Reports an error. Errors are non-fatal and usually signify that the document is invalid with respect to its grammar(s).
      Parameters:
        `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevant specification or document pertaining to this error.
        `key` - The error key. This key can be any string and is implementation dependent.
        `exception` - Exception.
      Throws:
        `XNIException` - Thrown to signal that the parser should stop parsing the document.

    - #### fatalError

          void fatalError(java.lang.String domain,
                        java.lang.String key,
                        XMLParseException exception)
                          throws XNIException

      Report a fatal error. Fatal errors usually occur when the document is not well-formed and signifies that the parser cannot continue normal operation.

      Note: The error handler should always throw an `XNIException` from this method. This exception can either be the same exception that is passed as a parameter to the method or a new XNI exception object. If the registered error handler fails to throw an exception, the continuing operation of the parser is undetermined.

      Parameters:
        `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevant specification or document pertaining to this fatal error.
        `key` - The fatal error key. This key can be any string and is implementation dependent.
        `exception` - Exception.
      Throws:
        `XNIException` - Thrown to signal that the parser should stop parsing the document.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.